LinuxQuestions.org
Visit the LQ Articles and Editorials section
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices

Reply
 
Search this Thread
Old 06-19-2013, 03:23 AM   #1
gmgf
Member
 
Registered: Jun 2012
Location: France
Distribution: Slackware Zenwalk
Posts: 166

Rep: Reputation: Disabled
For Pat aalib in current


the aalib package has a dependency on the old gpm package version,

this dependency, make that gimp and gst-plugins-good have dependency on this old gpm version.

rebuild aalib package, gimp and gst-plugins-good package solve this little
problem.
 
Old 06-20-2013, 03:07 AM   #2
gmgf
Member
 
Registered: Jun 2012
Location: France
Distribution: Slackware Zenwalk
Posts: 166

Original Poster
Rep: Reputation: Disabled
It seem, gst-plugins-good doesn't compil on recent kernel, it's related to change in v4l code.

Fedora have more patch, for fix this problem:

http://pkgs.fedoraproject.org/cgit/g...it/tree/?h=f19

but, probably v4l-utils need update v4l-utils-0.9.5 is available here:

http://linuxtv.org/downloads/v4l-utils/
 
Old 06-20-2013, 01:11 PM   #3
BrZ
Member
 
Registered: Apr 2009
Distribution: Slackware
Posts: 495

Rep: Reputation: 81
Quote:
Originally Posted by gmgf View Post
It seem, gst-plugins-good doesn't compil on recent kernel, it's related to change in v4l code.

Fedora have more patch, for fix this problem:

http://pkgs.fedoraproject.org/cgit/g...it/tree/?h=f19

but, probably v4l-utils need update v4l-utils-0.9.5 is available here:

http://linuxtv.org/downloads/v4l-utils/
Upstream released this commit, but it end with some error like 'V4L2_CID_HCENTER_DEPRECATED' undeclared (first use in this function)', solved by this commit.

There is also this commit to 'fix compilation on older v4l2', but I can't confirm if it work...

ps: v4l-utils-0.9.5-x86_64 and linux-3.9.x

Last edited by BrZ; 06-20-2013 at 01:18 PM.
 
Old 06-21-2013, 01:22 AM   #4
gmgf
Member
 
Registered: Jun 2012
Location: France
Distribution: Slackware Zenwalk
Posts: 166

Original Poster
Rep: Reputation: Disabled
Ok, i confirm gst-plugins-good-0.10.31, compil on current (kernel-3.9.5) with this fedora patch


http://pkgs.fedoraproject.org/cgit/g...es.patch?h=f19

Last edited by gmgf; 06-21-2013 at 01:57 AM.
 
Old 06-23-2013, 12:05 AM   #5
gmgf
Member
 
Registered: Jun 2012
Location: France
Distribution: Slackware Zenwalk
Posts: 166

Original Poster
Rep: Reputation: Disabled
Ok, thanks Pat and Robby. it's solved on current. now
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
How to use AAlib with C or C++? vectrum Programming 4 06-17-2013 03:41 PM
Pat makes it official: Gnome is gone from -current Franklin Slackware 46 04-30-2008 04:14 AM
Compiling aview with aalib Exeis Linux - Software 1 01-05-2007 07:27 PM
How to use AALIB Exeis Linux - Software 1 12-20-2006 12:59 PM
aalib and mplayer dtheorem Linux - Software 1 12-16-2003 12:37 PM


All times are GMT -5. The time now is 07:15 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration